For the complete documentation index, see llms.txt. This page is also available as Markdown.

Models

Get all models for the organization.

get

Retrieves all models available to the organization, optionally filtered by type and disabled status.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
modelTypeinteger · enumOptionalPossible values:
includeDisabledbooleanOptionalDefault: false
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
hostedBystring · nullableRequired
supportsVisionbooleanOptional
supportsAudiobooleanOptional
supportsWebSearchbooleanOptional
supportsRemoteCodeInterpreterbooleanOptional
supportsToolsbooleanOptional
supportsReasoningbooleanOptional
objectIdentifierstring · uuidRequired
payoutPercentageinteger · int32Required
maxOutputTokeninteger · int32 · nullableOptional
contextLengthinteger · int32Required
get/models
GET /models HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "hostedBy": "text",
    "supportsVision": true,
    "supportsAudio": true,
    "supportsWebSearch": true,
    "supportsRemoteCodeInterpreter": true,
    "supportsTools": true,
    "supportsReasoning": true,
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "payoutPercentage": 1,
    "maxOutputToken": 1,
    "contextLength": 1
  }
]

Get a model by object identifier.

get

Retrieves a model by its object identifier if authorized for the organization.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
hostedBystring · nullableRequired
supportsVisionbooleanOptional
supportsAudiobooleanOptional
supportsWebSearchbooleanOptional
supportsRemoteCodeInterpreterbooleanOptional
supportsToolsbooleanOptional
supportsReasoningbooleanOptional
objectIdentifierstring · uuidRequired
payoutPercentageinteger · int32Required
maxOutputTokeninteger · int32 · nullableOptional
contextLengthinteger · int32Required
get/models/{objectIdentifier}
GET /models/{objectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "description": "text",
  "hostedBy": "text",
  "supportsVision": true,
  "supportsAudio": true,
  "supportsWebSearch": true,
  "supportsRemoteCodeInterpreter": true,
  "supportsTools": true,
  "supportsReasoning": true,
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "payoutPercentage": 1,
  "maxOutputToken": 1,
  "contextLength": 1
}

Get models by object identifiers.

get

Retrieves models by a list of object identifiers.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
modelIdentifiersstring · uuid[]Optional
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
hostedBystring · nullableRequired
supportsVisionbooleanOptional
supportsAudiobooleanOptional
supportsWebSearchbooleanOptional
supportsRemoteCodeInterpreterbooleanOptional
supportsToolsbooleanOptional
supportsReasoningbooleanOptional
objectIdentifierstring · uuidRequired
payoutPercentageinteger · int32Required
maxOutputTokeninteger · int32 · nullableOptional
contextLengthinteger · int32Required
get/models/get-by-identifiers
GET /models/get-by-identifiers HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "hostedBy": "text",
    "supportsVision": true,
    "supportsAudio": true,
    "supportsWebSearch": true,
    "supportsRemoteCodeInterpreter": true,
    "supportsTools": true,
    "supportsReasoning": true,
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "payoutPercentage": 1,
    "maxOutputToken": 1,
    "contextLength": 1
  }
]

Last updated